" Shortcuts
map <C-o> :NERDTreeToggle<CR>
map <F8>  :TagbarToggle<CR>

" Init Autocomplete
inoremap <silent><expr> <c-space> coc#refresh()

" Navigate Completion List
inoremap <expr> <Tab> pumvisible() ? "\<C-n>" : "\<Tab>"
inoremap <expr> <S-Tab> pumvisible() ? "\<C-p>" : "\<S-Tab>"

" Confirm Selection
inoremap <expr> <cr> pumvisible() ? "\<C-y>" : "\<C-g>u\<CR>"




" Plugged Plugins
call plug#begin(stdpath('data') . '/plugged')
" One Dark Theme
Plug 'joshdick/onedark.vim'

" Tender Theme
Plug 'jacoborus/tender.vim'

Plug 'sheerun/vim-polyglot'

" Powerline Bar at bottom of screen
Plug 'itchyny/lightline.vim'

" Scope Tags
Plug 'majutsushi/tagbar'

" Syntax
Plug 'vim-syntastic/syntastic'

" Rust Support
Plug 'rust-lang/rust.vim'

" Languace Server Protocol Support
Plug 'neoclide/coc.nvim', {'branch': 'release'}

" Multiple Cursors
Plug 'terryma/vim-multiple-cursors'

" File Browser
Plug 'preservim/nerdtree'

" NerdTree Icons (Should be last according to docs)
Plug 'ryanoasis/vim-devicons'
call plug#end()

" Autosave with rust-fmt (Rust Only)
let g:rustfmt_autosave = 1


" Install Tender for Lightline
let g:lightline = { 'colorscheme': 'onedark' }

" Configuration
set noshowmode " Not Needed because we have Lightline
colorscheme onedark


